Orxonox: orxonox::FunctionCallManager Class Reference

# orxonox::FunctionCallManager Class Reference

`#include <src/network/FunctionCallManager.h>`

List of all members.

## Static Public Member Functions

static void | addCallMember (uint32_t functionID, uint32_t objectID, uint32_t clientID, const MultiType &mt1, const MultiType &mt2, const MultiType &mt3, const MultiType &mt4, const MultiType &mt5)
static void | addCallMember (uint32_t functionID, uint32_t objectID, uint32_t clientID, const MultiType &mt1, const MultiType &mt2, const MultiType &mt3, const MultiType &mt4)
static void | addCallMember (uint32_t functionID, uint32_t objectID, uint32_t clientID, const MultiType &mt1, const MultiType &mt2, const MultiType &mt3)
static void | addCallMember (uint32_t functionID, uint32_t objectID, uint32_t clientID, const MultiType &mt1, const MultiType &mt2)
static void | addCallMember (uint32_t functionID, uint32_t objectID, uint32_t clientID, const MultiType &mt1)
static void | addCallMember (uint32_t functionID, uint32_t objectID, uint32_t clientID)
static void | addCallStatic (uint32_t functionID, uint32_t clientID, const MultiType &mt1, const MultiType &mt2, const MultiType &mt3, const MultiType &mt4, const MultiType &mt5)
static void | addCallStatic (uint32_t functionID, uint32_t clientID, const MultiType &mt1, const MultiType &mt2, const MultiType &mt3, const MultiType &mt4)
static void | addCallStatic (uint32_t functionID, uint32_t clientID, const MultiType &mt1, const MultiType &mt2, const MultiType &mt3)
static void | addCallStatic (uint32_t functionID, uint32_t clientID, const MultiType &mt1, const MultiType &mt2)
static void | addCallStatic (uint32_t functionID, uint32_t clientID, const MultiType &mt1)
static void | addCallStatic (uint32_t functionID, uint32_t clientID)
static void | sendCalls ()

## Static Public Attributes

static std::map< uint32_t, packet::FunctionCalls * > | clientMap_

## Protected Member Functions

| FunctionCallManager ()
| ~FunctionCallManager ()

## Detailed Description

Author:

## Constructor & Destructor Documentation

orxonox::FunctionCallManager::FunctionCallManager | ( |  | ) | `[protected]`

orxonox::FunctionCallManager::~FunctionCallManager | ( |  | ) | `[protected]`

## Member Function Documentation

void orxonox::FunctionCallManager::addCallMember | ( | uint32_t | functionID,
|  | uint32_t | objectID,
|  | uint32_t | clientID,
|  | const MultiType & | mt1,
|  | const MultiType & | mt2,
|  | const MultiType & | mt3,
|  | const MultiType & | mt4,
|  | const MultiType & | mt5 |
| ) |  |  | `[static]`

References clientMap_.

void orxonox::FunctionCallManager::addCallMember | ( | uint32_t | functionID,
|  | uint32_t | objectID,
|  | uint32_t | clientID,
|  | const MultiType & | mt1,
|  | const MultiType & | mt2,
|  | const MultiType & | mt3,
|  | const MultiType & | mt4 |
| ) |  |  | `[static]`

References clientMap_.

void orxonox::FunctionCallManager::addCallMember | ( | uint32_t | functionID,
|  | uint32_t | objectID,
|  | uint32_t | clientID,
|  | const MultiType & | mt1,
|  | const MultiType & | mt2,
|  | const MultiType & | mt3 |
| ) |  |  | `[static]`

References clientMap_.

void orxonox::FunctionCallManager::addCallMember | ( | uint32_t | functionID,
|  | uint32_t | objectID,
|  | uint32_t | clientID,
|  | const MultiType & | mt1,
|  | const MultiType & | mt2 |
| ) |  |  | `[static]`

References clientMap_.

void orxonox::FunctionCallManager::addCallMember | ( | uint32_t | functionID,
|  | uint32_t | objectID,
|  | uint32_t | clientID,
|  | const MultiType & | mt1 |
| ) |  |  | `[static]`

References clientMap_.

void orxonox::FunctionCallManager::addCallMember | ( | uint32_t | functionID,
|  | uint32_t | objectID,
|  | uint32_t | clientID |
| ) |  |  | `[static]`

References clientMap_.

void orxonox::FunctionCallManager::addCallStatic | ( | uint32_t | functionID,
|  | uint32_t | clientID,
|  | const MultiType & | mt1,
|  | const MultiType & | mt2,
|  | const MultiType & | mt3,
|  | const MultiType & | mt4,
|  | const MultiType & | mt5 |
| ) |  |  | `[static]`

References clientMap_.

void orxonox::FunctionCallManager::addCallStatic | ( | uint32_t | functionID,
|  | uint32_t | clientID,
|  | const MultiType & | mt1,
|  | const MultiType & | mt2,
|  | const MultiType & | mt3,
|  | const MultiType & | mt4 |
| ) |  |  | `[static]`

References clientMap_.

void orxonox::FunctionCallManager::addCallStatic | ( | uint32_t | functionID,
|  | uint32_t | clientID,
|  | const MultiType & | mt1,
|  | const MultiType & | mt2,
|  | const MultiType & | mt3 |
| ) |  |  | `[static]`

References clientMap_.

void orxonox::FunctionCallManager::addCallStatic | ( | uint32_t | functionID,
|  | uint32_t | clientID,
|  | const MultiType & | mt1,
|  | const MultiType & | mt2 |
| ) |  |  | `[static]`

References clientMap_.

void orxonox::FunctionCallManager::addCallStatic | ( | uint32_t | functionID,
|  | uint32_t | clientID,
|  | const MultiType & | mt1 |
| ) |  |  | `[static]`

References clientMap_.

void orxonox::FunctionCallManager::addCallStatic | ( | uint32_t | functionID,
|  | uint32_t | clientID |
| ) |  |  | `[static]`

References clientMap_.

void orxonox::FunctionCallManager::sendCalls | ( |  | ) | `[static]`

References clientMap_.

Referenced by orxonox::Server::update(), and orxonox::Client::update().

## Member Data Documentation

std::map< uint32_t, packet::FunctionCalls * > orxonox::FunctionCallManager::clientMap_`[static]`

Referenced by addCallMember(), addCallStatic(), and sendCalls().

The documentation for this class was generated from the following files:

- src/network/FunctionCallManager.h
- src/network/FunctionCallManager.cc